Java-Gaming.org    
Featured games (79)
games approved by the League of Dukes
Games in Showcase (475)
Games in Android Showcase (106)
games submitted by our members
Games in WIP (530)
games currently in development
News: Read the Java Gaming Resources, or peek at the official Java tutorials
 
    Home     Help   Search   Login   Register   
Pages: [1]
  ignore  |  Print  
  A Java update came out. Do I need to update files and environment variables?  (Read 3050 times)
0 Members and 1 Guest are viewing this topic.
the_jogler
Guest
« Posted 2007-10-24 18:49:54 »

I just installed Java 6 version 3 on my computer and I was wondering if I have to update any files or any environment variables? I use Eclipse so do I have to update anything within the compiler? Thanks.
Offline Riven
« League of Dukes »

JGO Overlord


Medals: 742
Projects: 4
Exp: 16 years


Hand over your head.


« Reply #1 - Posted 2007-10-24 20:21:32 »

I got bitten by this today, when my production-server-application completely crashed everytime it launched.

It used some sun.misc-classes. Embarrassed Embarrassed


So if you don't make such silly mistakes, you're pretty safe.



Further, Eclipse uses the JRE that is system-wide available. (cmd.exe -->> java.exe -version)

I hope you didn't mess with env-vars like CLASSPATH and PATH, in which case you probably won't even notice the transition to the latest update.

Hi, appreciate more people! Σ ♥ = ¾
Learn how to award medals... and work your way up the social rankings
Offline GDX

Senior Newbie





« Reply #2 - Posted 2007-10-25 04:07:14 »

You should be able to tell from the Package Explorer window in Eclipse whether your projects are now using the new JRE. If not, you can right-click on the JRE listing, click configure, and browse your way to the new JDK directory.

In terms of changing anything, you probably won't have to if you haven't hard-coded any JDK paths yourself anywhere (e.g. in an Ant build file).

If you're upgrading from 1.5 or earlier, you might want to check the setting for your compiler compliance level (Build Path -> Configure Build Path -> Java Compiler -> Compiler Compliance Level) and adjust it as you see fit...

Games published by our own members! Check 'em out!
Legends of Yore - The Casual Retro Roguelike
the_jogler
Guest
« Reply #3 - Posted 2007-11-02 03:45:35 »

So can I go ahead and just completely get rid of the Java files for the JDK in my environment variables? I'm going to try it.
Pages: [1]
  ignore  |  Print  
 
 
You cannot reply to this message, because it is very, very old.

 

Add your game by posting it in the WIP section,
or publish it in Showcase.

The first screenshot will be displayed as a thumbnail.

ctomni231 (32 views)
2014-07-18 06:55:21

Zero Volt (28 views)
2014-07-17 23:47:54

danieldean (24 views)
2014-07-17 23:41:23

MustardPeter (25 views)
2014-07-16 23:30:00

Cero (40 views)
2014-07-16 00:42:17

Riven (42 views)
2014-07-14 18:02:53

OpenGLShaders (29 views)
2014-07-14 16:23:47

Riven (29 views)
2014-07-14 11:51:35

quew8 (26 views)
2014-07-13 13:57:52

SHC (63 views)
2014-07-12 17:50:04
HotSpot Options
by dleskov
2014-07-08 03:59:08

Java and Game Development Tutorials
by SwordsMiner
2014-06-14 00:58:24

Java and Game Development Tutorials
by SwordsMiner
2014-06-14 00:47:22

How do I start Java Game Development?
by ra4king
2014-05-17 11:13:37

HotSpot Options
by Roquen
2014-05-15 09:59:54

HotSpot Options
by Roquen
2014-05-06 15:03:10

Escape Analysis
by Roquen
2014-04-29 22:16:43

Experimental Toys
by Roquen
2014-04-28 13:24:22
java-gaming.org is not responsible for the content posted by its members, including references to external websites, and other references that may or may not have a relation with our primarily gaming and game production oriented community. inquiries and complaints can be sent via email to the info‑account of the company managing the website of java‑gaming.org
Powered by MySQL Powered by PHP Powered by SMF 1.1.18 | SMF © 2013, Simple Machines | Managed by Enhanced Four Valid XHTML 1.0! Valid CSS!